Skip to content

ruby-debug/debase

master
Switch branches/tags

Name already in use

A tag already exists with the provided branch name. Many Git commands accept both tag and branch names, so creating this branch may cause unexpected behavior. Are you sure you want to create this branch?
Code

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
lib
January 12, 2021 14:52
February 5, 2021 11:10
December 25, 2016 20:39
August 14, 2012 17:59
December 19, 2012 15:59
December 19, 2012 15:59
May 24, 2023 16:12

Gem Version Build Status

Overview

debase is a fast implementation of the standard debugger debug.rb for Ruby 2.0.0. The faster execution speed and 2.0.0 compatibility is achieved by utilizing a TracePoint mechanism in the Ruby C API.

Requirements

debase requires Ruby 2.0.0 or higher.

Install

debase is provided as a RubyGem. To install:

gem install debase

License

debase contains parts of the code from ruby-debug-base gem. See MIT_LICENSE and LICENSE for license information.

About

No description, website, or topics provided.

Resources

License

BSD-2-Clause, MIT licenses found

Licenses found

BSD-2-Clause
LICENSE
MIT
MIT_LICENSE

Stars

Watchers

Forks

Packages

No packages published